FINDMNT(8)

NUME
findmnt - găsește un sistem de fișiere

REZUMAT

findmnt [opțiuni]

findmnt [opțiuni] dispozitiv|punct-montare

findmnt [opțiuni] [--source] dispozitiv [--target ruta|--mountpoint punct-montare]

DESCRIERE

findmnt va lista toate sistemele de fișiere montate sau va căuta un sistem de fișiere. Comanda findmnt este capabilă să caute în /etc/fstab, /etc/mtab sau /proc/self/mountinfo. Dacă nu se indică dispozitivul sau punctul-de-montare, sunt afișate toate sistemele de fișiere.

Dispozitivul poate fi specificat prin numele dispozitivului, numerele major:minor, eticheta sistemului de fișiere sau UUID, sau eticheta partiției sau UUID. Rețineți că findmnt urmează comportamentul mount(8) în care un nume de dispozitiv poate fi interpretat ca un punct de montare (și invers) dacă nu sunt specificate opțiunile --target, --mountpoint sau --source.

Opțiunea de linie de comandă --target acceptă orice fișier sau director, iar apoi findmnt afișează sistemul de fișiere pentru ruta dată.

Comanda afișează în mod implicit toate sistemele de fișiere montate în format arborescent. Valoarea de ieșire implicită poate fi modificată. Așadar, ori de câte ori este posibil, ar trebui să evitați să folosiți ieșirea implicită în scripturile dumneavoastră. Definiți întotdeauna în mod explicit coloanele așteptate folosind --output listă-coloane în mediile în care este necesară o ieșire stabilă.

Relația dintre dispozitivele de bloc și sistemele de fișiere nu este întotdeauna unu la unu. Sistemul de fișiere poate utiliza mai multe dispozitive de bloc. Acesta este motivul pentru care findmnt oferă coloanele SOURCE și SOURCES (pl.). Coloana SOURCES afișează toate dispozitivele în care este posibil să se găsească același UUID al sistemului de fișiere (sau o altă etichetă specificată în fstab atunci când este executată cu --fstab și --evaluate).

OPȚIUNI

-A, --all
    Dezactivează toate filtrele încorporate și afișează toate sistemele de fișiere.

-a, --ascii
    Utilizează caractere ascii pentru formatarea arborelui.

-b, --bytes
    Afișează dimensiunile în octeți, mai degrabă decât într-un format ușor de citit de către om.

    În mod implicit, unitatea în care sunt exprimate mărimile este octetul, iar prefixele unităților sunt exprimate în putere de 2^10 (1024). Abrevierile simbolurilor sunt prezentate trunchiat pentru a se obține o mai bună lizibilitate, prin prezentarea doar a primei litere a acestora; exemple: „1 KiB [en]/ 1 Kio [ro]” și „1 MiB [en] / 1 Mio [ro]" se expun ca "1 K" și respectiv "1 M", omițându-se intenționat mențiunea „iB”, care face parte din aceste abrevieri.

-C, --nocanonicalize
    Nu canonizează deloc rutele. Această opțiune afectează compararea rutelor și evaluarea marcajelor (LABEL, UUID etc.).

-c, --canonicalize
    Canonizează toate rutele afișate.

-D, --df
    Imită ieșirea lui df(1). Această opțiune este echivalentă cu -o SOURCE,FSTYPE,SIZE,USED,AVAIL,USE%,TARGET, dar exclude toate pseudo-sistemele de fișiere. Utilizați --all pentru a afișa toate sistemele de fișiere. A se vedea și opțiunile -I și --dfi.

-d, --direction direcția
    Direcția de căutare, fie forward (înainte), fie backward (înapoi).

-e, --evaluate
    Convertește toate marcajele (LABEL, UUID, PARTUUID sau PARTLABEL) în numele dispozitivelor corespunzătoare pentru coloana SOURCE. Este o situație neobișnuită, dar este posibil ca aceeași etichetă să fie duplicată (utilizată pentru mai multe dispozitive). În acest scop, există coloana SOURCES (pl.). Această coloană afișează prin celule cu mai multe linii toate dispozitivele în care eticheta este detectată de libblkid. Această opțiune are sens doar pentru fstab.

--hyperlink[=mod]
    Imprimă traseele punctelor de montare ca hiperlegături de terminal. Argumentul mod poate fi definit la „always” (întotdeauna), „never” (niciodată) sau „auto”. Argumentul opțional când poate fi definit la „auto”, „never” sau „always”. Dacă argumentul când este omis, se va utiliza în mod implicit „auto”. Valoarea „auto” înseamnă că hiperlegăturile vor fi utilizate numai dacă ieșirea este pe un terminal.

-F, --tab-file ruta
    Caută într-un fișier alternativ. Dacă este utilizată împreună cu --fstab, --mtab sau --kernel, atunci înlocuiește rutele implicite. Dacă este specificată de mai multe ori, atunci ieșirea de tip arbore este dezactivată (a se vedea opțiunea --list).

-f, --first-only
    Afișează numai primul sistem de fișiere care coincide.

-H, --list-columns
    Listează coloanele disponibile, se utilizează cu --json sau --raw pentru a obține o ieșire în format care poate fi citit de către mașină.

-I, --dfi
    Imită ieșirea lui df(1) cu opțiunea -i. Această opțiune este echivalentă cu -o SOURCE,FSTYPE,INO.TOTAL,INO.USED,INO.AVAIL,INO.USE%,TARGET, dar exclude toate pseudo-sistemele de fișiere. Utilizați --all pentru a afișa toate sistemele de fișiere.

-i, --invert
    Inversează sensul de potrivire.

--id număr
    Selectează un sistem de fișiere utilizând ID-ul nodului de montare.

--uniq-id număr
    Selectează un sistem de fișiere folosind ID-ul de 64 de biți al nodului de montare, se utilizează cu opțiunea --kernel=listmount.

-J, --json
    Utilizează formatul de ieșire JSON.

-k, --kernel[=metoda]
    Citește informații despre sistemele de fișiere din nucleu. Acesta este rezultatul implicit. Formatul este de tip arbore și include numai opțiunile de montare gestionate de nucleu (a se vedea de asemenea opțiunea --mtab).

    Argumentul opțional method este acceptat doar pentru varianta lungă („--kernel”). Varianta scurtă („-k”) folosește implicit metoda mountinfo pentru compatibilitate inversă. Metodele acceptate pot fi:

        • mountinfo - aceasta este metoda implicită și citește datele din fișierul /proc/self/mountinfo.

        • listmount - Aceasta este o metodă EXPERIMENTALĂ care utilizează apelurile de sistem listmount() și statmount() pentru a genera tabelul de montare. Este posibil ca rezultatul să nu conțină toate detaliile despre nodurile de montare (de exemplu, SOURCE lipsește în prezent).

-l, --list
    Utilizează formatul de ieșire al listei. Acest format de ieșire este activat automat în cazul în care ieșirea este restricționată de opțiunea -t, -O, -S sau -T și nu se utilizează opțiunea --submounts sau dacă se specifică mai mult de un fișier sursă (opțiunea -F).

-M, --mountpoint ruta
    Definește în mod explicit fișierul sau directorul punctului de montare. A se vedea și --target.

-m, --mtab
    Caută în /etc/mtab. În mod implicit, rezultatul este în format listă (a se vedea --tree). Rezultatul poate include opțiuni de montare în spațiul utilizatorului.

-N, --task tid
    Utilizează spațiul de nume alternativ /proc/<tid>/mountinfo în locul celui implicit /proc/self/mountinfo. Dacă opțiunea este specificată de mai multe ori, atunci ieșirea de tip arbore este dezactivată (a se vedea opțiunea --list). A se vedea, de asemenea, comanda unshare(1).

-n, --noheadings
    Nu imprimă o linie de antet.

-O, --options listă
    Limitează setul de sisteme de fișiere afișate. Se pot specifica mai multe opțiuni într-o listă separată prin virgule. Opțiunile -t și -O au efect cumulativ. Este diferită de -t prin faptul că fiecare opțiune este comparată exact; un no la început nu are o semnificație globală. „no” poate fi utilizat pentru elemente individuale din listă. Interpretarea prefixului „no” poate fi dezactivată prin prefixul „+”.

-o, --output listă
    Definește coloanele de ieșire. Consultați ieșirea --help pentru a obține o listă a coloanelor acceptate în prezent. Coloana TARGET conține formatarea arborelui în cazul în care nu sunt specificate opțiunile --list sau --raw.

    Lista implicită de coloane poate fi extinsă dacă lista este specificată în formatul +listă (de exemplu, findmnt -o +PROPAGATION).

--output-all
    Afișează aproape toate coloanele disponibile. Coloanele care necesită --poll nu sunt incluse.

-P, --pairs
    Produce ieșirea sub formă de perechi cheie=„valoare”. Toate caracterele de valoare potențial nesigure sunt eludate în format hexazecimal (\x<cod>). A se vedea, de asemenea, opțiunea --shell.

    Rețineți că în coloana SOURCES se utilizează celule cu mai multe rânduri. În aceste cazuri, coloana utilizează o formatare de tip matrice la ieșire, de exemplu nume=(„aaa” „bbb” „ccc”).

-p, --poll[=listă]
    Monitorizează modificările din fișierul /proc/self/mountinfo. Acțiunile acceptate sunt: „mount” (montare), „umount” (demontare), „remount” (remontare) și „move” (mutare). Se pot specifica mai multe acțiuni într-o listă separată prin virgule. Toate acțiunile sunt monitorizate în mod implicit.

    Timpul pentru care --poll se va bloca poate fi restricționat cu opțiunile --timeout sau --first-only.

    Coloanele standard utilizează întotdeauna noua versiune a informațiilor din fișierul mountinfo, cu excepția acțiunii umount, care se bazează pe informațiile originale stocate în zona de prestocare (cache) de findmnt. Modul de interogare permite utilizarea unor coloane suplimentare:

    ACTION
        numele acțiunii: „mount”, „umount”, „move” sau „remount”; această coloană este activată în mod implicit

    OLD-TARGET
        disponibilă pentru acțiunile „umount” și „move”

    OLD-OPTIONS
        disponibile pentru acțiunile „umount” și „remount”

--pseudo
    Afișează numai pseudo-sistemele de fișiere.

--shadow
    Afișează numai sistemele de fișiere care au fost supra-montate de un alt sistem de fișiere.

-Q, --filter expresia
    Afișează numai sistemele de fișiere care îndeplinesc condițiile specificate de expr.

    Această caracteristică este EXPERIMENTALĂ. A se vedea, de asemenea, scols-filter(5). De exemplu, include xfs care au mai mult de 50% de spațiu liber:

        findmnt -Q 'INO.USED < INO.AVAIL && FSTYPE == "xfs"'

-R, --submounts
    Afișează în mod recursiv toate submontările pentru sistemele de fișiere selectate. Restricțiile definite de opțiunile -t, -O, -S, -T, -T și --direction nu se aplică submontărilor. Toate submontările sunt întotdeauna afișate în ordine arborescentă. Opțiunea activează în mod implicit formatul de ieșire arborescent. Această opțiune nu are niciun efect pentru --mtab sau --fstab.

-r, --raw
    Produce ieșirea în format brut. Toate caracterele potențial nesigure sunt eludate în format hexazecimal (\x<code>).

    Rețineți că în coloana SOURCES se utilizează celule cu mai multe rânduri. În aceste cazuri, coloana poate produce mai multe șiruri de caractere pe aceeași linie.

--real
    Afișează numai sistemele de fișiere reale.

-S, --source specificație
    Definește în mod explicit sursa de montare. Specificațiile acceptate sunt dispozitiv, maj:min, LABEL=eticheta, UUID=uuid, PARTLABEL=eticheta-partiție și PARTUUID=uuid.

-s, --fstab
    Caută în /etc/fstab. Rezultatul este în format listă (a se vedea --list).

-T, --target ruta
    Definește ținta de montare. Dacă ruta nu este un fișier sau un director de punct de montare, atunci findmnt verifică elementele rutei în ordine inversă pentru a obține punctul de montare (această caracteristică este acceptată numai atunci când se caută în fișierele nucleului și nu este acceptată pentru --fstab). Se recomandă utilizarea opțiunii --mountpoint atunci când verificările elementelor rutei nu sunt dorite, iar ruta este un punct de montare strict specificat.

-t, --types listă
    Limitează setul de sisteme de fișiere afișate. Se pot specifica mai multe tipuri într-o listă separată prin virgule. Lista de tipuri de sisteme de fișiere poate fi precedată de no pentru a specifica tipurile de sisteme de fișiere pentru care nu trebuie să se ia nici o măsură. Pentru mai multe detalii, a se vedea mount(8).

--tree
    Activează ieșirea de tip arbore, dacă este posibil. Opțiunile sunt ignorate în mod silențios pentru tabelele în care lipsește relația copil-părinte (de exemplu, fstab).

--shadowed
    Afișează numai sistemele de fișiere care au fost supra-montate de un alt sistem de fișiere.

-U, --uniq
    Ignoră sistemele de fișiere cu ținte de montare duplicate, sărind astfel efectiv peste punctele de montare supramontate.

-u, --notruncate
    Nu trunchiază textul din coloane. Valoarea implicită este de a nu trunchia coloanele TARGET, SOURCE, UUID, LABEL, PARTUUID, PARTLABEL. Această opțiune dezactivează trunchierea textului și în toate celelalte coloane.

-v, --nofsroot
    Nu imprimă un [/dir] în coloana SOURCE pentru montările „bind” sau subvolumele btrfs.

-w, --timeout milisecunde
    Specifică o limită superioară a timpului în care --poll va bloca, în milisecunde.

-x, --verify
    Verifică conținutul tabelului de montare. În mod implicit, se verifică capacitatea de analiză și utilizare a fișierului /etc/fstab. Este posibil să se utilizeze această opțiune și cu --tab-file. Este posibilă specificarea sursei (dispozitiv) sau a țintei (punct de montare) pentru filtrarea tabelului de montare. Opțiunea --verbose forțează findmnt să afișeze mai multe detalii.

--verbose
    Forțează findmnt să afișeze mai multe informații (--verify doar pentru moment).

--vfs-all
    Atunci când este utilizată împreună cu coloana VFS-OPTIONS, afișează toate fanioanele VFS (independente de sistemul de fișiere). Această opțiune este concepută în scopuri de auditare pentru a lista, de asemenea, opțiunile implicite de montare a nucleului VFS care, în mod normal, nu sunt listate.

-y, --shell
    Numele coloanei va fi modificat astfel încât să conțină numai caracterele permise pentru identificatorii de variabile de tip shell. Acest lucru este utilizabil, de exemplu, cu --pairs. Rețineți că această caracteristică a fost activată automat pentru --pairst în versiunea 2.37, dar din cauza unor probleme de compatibilitate, acum este necesar să se solicite acest comportament prin --shell.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

STARE DE IEȘIRE

Valoarea de ieșire este 0 dacă există ceva de afișat sau 1 în caz de eroare (de exemplu, dacă nu se găsește niciun sistem de fișiere pe baza filtrului specificat de utilizator sau dacă ruta dispozitivului sau punctul de montare nu există).

MEDIU

LIBMOUNT_FSTAB=<ruta>
    suprascrie locația implicită a fișierului fstab

LIBMOUNT_MTAB=<ruta>
    suprascrie locația implicită a fișierului mtab

LIBMOUNT_DEBUG=all
    activează ieșirea de depanare a libmount

LIBSMARTCOLS_DEBUG=all
    activează ieșirea de depanare a libsmartcols

LIBSMARTCOLS_DEBUG_PADDING=on
    utilizează caractere de umplutură vizibile.

EXEMPLE

findmnt --fstab -t nfs
    Afișează toate sistemele de fișiere NFS definite în /etc/fstab.

findmnt --fstab /mnt/foo
    Afișează toate sistemele de fișiere /etc/fstab în care directorul punctului de montare este /mnt/foo. De asemenea, afișează montările „bind” unde /mnt/foo este o sursă.

findmnt --fstab --target /mnt/foo
    Afișează toate sistemele de fișiere /etc/fstab în care directorul punctului de montare este /mnt/foo.

findmnt --fstab --evaluate
    Afișează toate sistemele de fișiere /etc/fstab și convertește etichetele LABEL= și UUID= în nume reale de dispozitive.

findmnt -n --raw --evaluate --output=target LABEL=/boot
    Afișează numai punctul de montare în care este montat sistemul de fișiere cu eticheta „/boot”.

findmnt --poll --mountpoint /mnt/foo
    Monitorizează „mount”, „unmount”, „remount” și „move” pe /mnt/foo.

findmnt --poll=umount --first-only --mountpoint /mnt/foo
    Așteaptă demontarea lui /mnt/foo.

findmnt --poll=remount -t ext3 -O ro
    Monitorizează remontarea în modul numai-pentru-citire pe toate sistemele de fișiere ext3.

AUTORI

CONSULTAȚI ȘI

fstab(5), mount(8) scols-filter(5)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda findmnt face parte din pachetul util-linux care poate fi descărcat de la